include:
  - project: paniclobster/gitlab/ci-templates
    file: /sentry/release-template.yaml
  - project: paniclobster/gitlab/ci-templates
    file: /sentry/deploy-template.yaml

sentry:release:
  extends: .sentry:release
  stage: publish
  needs: []
  only:
    changes:
      - sentry/**/*
      - tests/sentry/**/*

sentry:deploy:
  extends: .sentry:deploy
  stage: deploy
  only:
    changes:
      - sentry/**/*
      - tests/sentry/**/*
  needs:
    - sentry:release
